TrackerStorage
3
LIBTRACKER-COMMON Library

# TrackerStorage

## Synopsis

                        TrackerStorage;
                        TrackerStorageClass;
    TrackerStorage *    tracker_storage_new                 (void);
    GSList *            tracker_storage_get_mounted_directory_roots
                                                            (TrackerStorage *storage);
    GSList *            tracker_storage_get_removable_device_roots
                                                            (TrackerStorage *storage);
    GSList *            tracker_storage_get_removable_device_udis
                                                            (TrackerStorage *storage);
    const gchar *       tracker_storage_udi_get_mount_point (TrackerStorage *storage,
                                                             const gchar *udi);
    gboolean            tracker_storage_udi_get_is_mounted  (TrackerStorage *storage,
                                                             const gchar *udi);
    gboolean            tracker_storage_uri_is_on_removable_device
                                                            (TrackerStorage *storage,
                                                             const gchar *uri,
                                                             gchar **mount_point,
                                                             gboolean *available);
    const gchar*        tracker_storage_get_volume_udi_for_file
                                                            (TrackerStorage *storage,
                                                             GFile *file);

## Description

## Details

### TrackerStorage

    typedef struct {
    	GObject parent;
    } TrackerStorage;

### TrackerStorageClass

    typedef struct {
    	GObjectClass parent_class;
    } TrackerStorageClass;

### tracker_storage_new ()

    TrackerStorage *    tracker_storage_new                 (void);

Creates a new instance of TrackerStorage.

Returns :

  The newly created TrackerStorage.

### tracker_storage_get_mounted_directory_roots ()

    GSList *            tracker_storage_get_mounted_directory_roots
                                                            (TrackerStorage *storage);

Returns a GSList of strings containing the root directories for mounted devices.

Each element must be freed using `g_free()` and the list itself using `g_slist_free()`.

`storage` :

  A TrackerStorage

Returns :

  The list of root directories.

### tracker_storage_get_removable_device_roots ()

    GSList *            tracker_storage_get_removable_device_roots
                                                            (TrackerStorage *storage);

Returns a GSList of strings containing the root directories for removable devices.

Each element must be freed using `g_free()` and the list itself through `g_slist_free()`.

`storage` :

  A TrackerStorage

Returns :

  The list of root directories.

### tracker_storage_get_removable_device_udis ()

    GSList *            tracker_storage_get_removable_device_udis
                                                            (TrackerStorage *storage);

Returns a GSList of strings containing the UDI for removable devices. Each element is owned by the GHashTable internally, the list itself through should be freed using `g_slist_free()`.

`storage` :

  A TrackerStorage

Returns :

  The list of UDIs.

### tracker_storage_udi_get_mount_point ()

    const gchar *       tracker_storage_udi_get_mount_point (TrackerStorage *storage,
                                                             const gchar *udi);

`storage` :

  A TrackerStorage

`udi` :

  A gboolean

Returns :

  The `TRUE` if `udi` is mounted or `FALSE` if it isn't.

### tracker_storage_udi_get_is_mounted ()

    gboolean            tracker_storage_udi_get_is_mounted  (TrackerStorage *storage,
                                                             const gchar *udi);

`storage` :

`udi` :

Returns :

### tracker_storage_uri_is_on_removable_device ()

    gboolean            tracker_storage_uri_is_on_removable_device
                                                            (TrackerStorage *storage,
                                                             const gchar *uri,
                                                             gchar **mount_point,
                                                             gboolean *available);

`storage` :

`uri` :

`mount_point` :

`available` :

Returns :

### tracker_storage_get_volume_udi_for_file ()

    const gchar*        tracker_storage_get_volume_udi_for_file
                                                            (TrackerStorage *storage,
                                                             GFile *file);

Returns the UDI of the removable device for `file`

`storage` :

  A TrackerStorage

`file` :

  a file

Returns :

  Returns the UDI of the removable device for `file`